import 'package:finotescore/src/network_utils.dart';
import 'package:http_interceptor/http_interceptor.dart';

/// FinotesCore interceptor to track API call triggered using http_interceptor plugin.
class FnInterceptor implements InterceptorContract {
  NetworkUtils networkUtils = NetworkUtils();
  @override
  Future<RequestData> interceptRequest({required RequestData data}) async {
    networkUtils.onRequest(data);
    return data;
  }

  @override
  Future<ResponseData> interceptResponse({required ResponseData data}) async {
    networkUtils.onResponse(data);
    return data;
  }
}
